Subject: RE: [nemo] RE: splitting moving networks (was: DND test)

From: "Soliman Hesham" <[email-masked]>
Date: Thu, 25 Mar 2004 01:33:40 -0500

> I do understand the issue. Sorry if I repeat myself, but I 
 > would like to
 > try to propose the following actions.
 > 
 > a. May I suggest Vijay to add an issue in his list (although 
 > the spec.
 > is in IESG hands) ?
 > 
 > b. I support open and un-ambiguous standard. So:
 > 
 > b1. I would oppose to add in the NEMO Basic Support spec. sentences
 > such like:
 > - 2 MRs do not share the same prefix
 > - NEMO cannot spit
 > - etc
 > 
 > b2. To solve ambiguousness, I would rather just say in the top of the
 > document (a kind of disclaimer) than there is no warranty that NEMO
 > Basic Support works with configurations other than a single NEMO-link
 > attached to the Internet via one MR, i.e.:
 > 
 > - multihomed mobile networks (8 cases, as identified by the 
 > multihomong
 >   problem statement, including multiple MRs)
 > 
 > - nested mobile networks [although it's assumed it would, but test
 >   remains to be done - we will do it in our lab very soon]
 > 
 > - split mobile networks
 > 
 > and that necessary fixes may be done later.
 > 
 > 
 > So, everyone is aware that checks remains to be done, and that
 > additional specs. may be needed for specific configuration [e.g. a
 > multihoming usage doc), at least in the informational track. 
 > Does this
 > makes sense for everyone ?

=> That's fine with me.

 > 
 > I concur to what Hesham says. Nested is when a sub-NEMO gets into a
 > parent-NEMO; the sub-NEMO has not the same prefix has the parent-NEMO
 > and doesnt' get renumbered. Split-NEMO is the opposite: an aggregated
 > prefix get split in 2 separate entities.

=> Agreed.

Thanks,
Hesham

 > Thierry

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 25 Mar 2004 10:14:15 +0100

Soliman Hesham wrote and cited T.E.:
>> Nested is when a sub-NEMO gets into a parent-NEMO; the sub-NEMO has
>>  not the same prefix has the parent-NEMO and doesnt' get
>> renumbered.

Nestedness also happens when MH visits a moving network; it's also 
important to stress that the respective MR's or MH's do _not_ have the 
same home link.

Whenever there's nested encapsulation to HA (i.e. at least two tunnels
encapsulated) then there's moving networks nestedness.

>> Split-NEMO is the opposite: an aggregated prefix get split in 2 
>> separate entities.

I really do not understand this high-level definition of an aggregated
prefix that splits in two separate entities; does it separate in two
separated "sub-prefixes"?  What is a detailed example of such a split?

Alex

---

From: Alexandru Petrescu <[email-masked]>
Date: Thu, 25 Mar 2004 10:14:15 +0100

Alex

---

From: Thierry Ernst <[email-masked]>
Date: Fri, 26 Mar 2004 12:24:10 +0900

Hi,

On Thu, 25 Mar 2004 10:14:15 +0100

> important to stress that the respective MR's or MH's do _not_ have the 

Disagree. If I own a NEMO-wheelchair and a NEMO-car, I have the same
home link for both; now I put the NEMO-wheelchair in my car, it a
sub-NEMO and the car is the parent-NEMO ;-)
 
> separated "sub-prefixes"?  What is a detailed example of such a split?

As said in another email, everyone is welcome to write a brief
definition of what split-NEMO is.  The definition is to reflect the
discussion in this thread and to limit the scope of how NEMO can split.

Thierry.

---

From: Thierry Ernst <[email-masked]>
Date: Fri, 26 Mar 2004 12:24:10 +0900

Hi,

 

Thierry.